<?xml version='1.0' encoding='UTF-8' ?>
<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Formulario de ejecución  
@cu CU-CO-V-01 CU-CO-E-03


-->
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:propietario="http://java.sun.com/jsf/composite/propietario"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:tramite="http://java.sun.com/jsf/composite/tramite"
                template="../../templates/generalCU.xhtml">


    <ui:define name="title">.::Sistema Nacional Catastral::. .::Ejecución de mutación::.</ui:define>
    <ui:define name="content">

        <h:form id="tramiteForm">
            <h:panelGrid columns="2">
                <p:commandLink oncomplete="detalleSolicitudWV.show();" 
                               >
                    <h:outputText value="#{proyectarConservacion.tramite.solicitud.numero}"
                                  styleClass="commandLinkStyle" />
                    <f:setPropertyActionListener value="#{proyectarConservacion.tramite.solicitud}"
                                                 target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                </p:commandLink>
                <p:spacer height="0" width="10" />
            </h:panelGrid>
        </h:form>

        <p:dialog header="Detalle del trámite" dynamic="true"
                  widgetVar="detalleTramiteEjecutarWV" modal="false" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include src="../../conservacion/ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle de la solicitud" dynamic="true"
                  widgetVar="detalleSolicitudWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include src="../../conservacion/ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
            </ui:include>
        </p:dialog>		

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />		


    </ui:define>

</ui:composition>